Skip to main content
GET
Retrieve a wallet deposit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user.

Pattern: ^user_[A-Za-z0-9]+$
walletId
string
required

Public ID of the wallet (prefixed with wlt_)

depositId
string
required

Public ID of the wallet deposit (prefixed with dep_)

Response

Wallet deposit retrieved successfully.

An inbound deposit received by a HIFI-provisioned wallet.

id
string

Public ID of the deposit (prefixed with dep_).

Example:

"dep_9dQ2mNpXwZ7bV1aLcs3Kf"

userId
string

Public ID of the user (prefixed with usr_).

Example:

"usr_3Kf9dQ2mNpXwZ7bV1aLcs"

createdAt
integer

Unix timestamp (milliseconds) of when the deposit was created.

Example:

1751365800000

updatedAt
integer

Unix timestamp (milliseconds) of when the deposit was last updated.

Example:

1751365800000

wallet
object

The HIFI-provisioned wallet the deposit was received into.

transaction
object

On-chain transaction details of the deposit.